/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-25-2011 07:40:08pm
Filepath: scripts\Items\Artifacts\Gauntlet\ArmorOfFortune.cs
Lines of code: 33

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class ArmorOfFortune : StuddedChest
	{
		public override int LabelNumber{ get{ return 1061098; } } // Armor of Fortune
		

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public ArmorOfFortune()
		{
			Hue = 0x501;
			Attributes.Luck = 200;
			Attributes.DefendChance = 15;
			Attributes.LowerRegCost = 40;
			ArmorAttributes.MageArmor = 1;
		}

		public ArmorOfFortune( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}